Problem With DNN Blog Module 04.01.00 – 01

imageWe found an issue with what is the current release version of DotNetNuke Blog module 04.01.00 or 04.01.01.

First up, we don’t know what the version number should actually be, as the compiled version on the download is 04.01.00 but the source code is referenced as 04.01.01.

We presume there is some difference, but who knows what it is.

Anyway The Problem

The problem is that any forms on a page that run the blog module, will not allow form data to be validated. By validated, we are talking about ensuring a number is entered in a number field and text in a name filed etc.

The cause is the blog module is using an old ASP.Net 1.0 validation function. While it should be using ASP.NET 2.0 with the updated validation behaviours as found here:

http://msdn.microsoft.com/en-us/library/0ke7bxeh.aspx

With this mistake, if you use Page.Validate on ASP.NET 2.0, page validation groups are ignored and the controls are validated.

Why the BLOG module is even coded this way is quite questionable in any case. However without DNN being a true open source system, we have no ability to fix this were needed in the source.

Our solution

We fixed the problem and recompiled a version that people can download an use for free.

Blog_04.01.01_Install A

You can install this on top of any DNN blog module 04.01.00 and we would expect that future releases of the blog module will not be affected by this version we compiled. However they may well revert back to their junk code in the future releases.

Leave a Reply